# tools/dump.c File Reference

`#include "system.h"`
`#include <rpmlib.h>`
`#include "header_internal.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv |
| ) |  |  |

Definition at line 7 of file dump.c.

References _, EXIT_FAILURE, Fclose(), Ferror(), Fopen(), Fstrerror(), HEADER_DUMP_INLINE, HEADER_MAGIC_YES, headerDump(), headerFree(), headerRead(), rpmTagTable, and setprogname.